package com.ruoyi.system.service.impl.fgw;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.fgw.FgwFj;
import com.ruoyi.system.mapper.fgw.FgwFjMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.fgw.FgwDbdMapper;
import com.ruoyi.system.domain.fgw.FgwDbd;
import com.ruoyi.system.service.fgw.IFgwDbdService;

/**
 * 发改委_督办单Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-03-24
 */
@Service
public class FgwDbdServiceImpl implements IFgwDbdService 
{
    @Autowired
    private FgwDbdMapper fgwDbdMapper;
    @Autowired
    private FgwFjMapper fgwFjMapper;

    /**
     * 查询发改委_督办单
     * 
     * @param id 发改委_督办单主键
     * @return 发改委_督办单
     */
    @Override
    public FgwDbd selectFgwDbdById(Long id)
    {
        return fgwDbdMapper.selectFgwDbdById(id);
    }

    /**
     * 查询发改委_督办单列表
     * 
     * @param fgwDbd 发改委_督办单
     * @return 发改委_督办单
     */
    @Override
    public List<FgwDbd> selectFgwDbdList(FgwDbd fgwDbd)
    {
        return fgwDbdMapper.selectFgwDbdList(fgwDbd);
    }

    /**
     * 新增发改委_督办单
     * 
     * @param fgwDbd 发改委_督办单
     * @return 结果
     */
    @Override
    public AjaxResult insertFgwDbd(FgwDbd fgwDbd)
    {
        //查询督办的附件是否存在，附件存在不生成督办信息
        FgwFj fgwFj = new FgwFj();
        fgwFj.setXmId(fgwDbd.getXmId());
        List<FgwFj> fgwFjs = fgwFjMapper.selectFgwFjList(fgwFj);
        if(fgwFjs.size()>0){
            return AjaxResult.error("当前督办内容附件已上传");
        }

        fgwDbd.setCreateTime(DateUtils.getNowDate());
        int i = fgwDbdMapper.insertFgwDbd(fgwDbd);
        return i > 0 ? AjaxResult.success() : AjaxResult.error();
    }

    /**
     * 修改发改委_督办单
     * 
     * @param fgwDbd 发改委_督办单
     * @return 结果
     */
    @Override
    public int updateFgwDbd(FgwDbd fgwDbd)
    {
        fgwDbd.setUpdateTime(DateUtils.getNowDate());
        return fgwDbdMapper.updateFgwDbd(fgwDbd);
    }

    /**
     * 批量删除发改委_督办单
     * 
     * @param ids 需要删除的发改委_督办单主键
     * @return 结果
     */
    @Override
    public int deleteFgwDbdByIds(Long[] ids)
    {
        return fgwDbdMapper.deleteFgwDbdByIds(ids);
    }

    /**
     * 删除发改委_督办单信息
     * 
     * @param id 发改委_督办单主键
     * @return 结果
     */
    @Override
    public int deleteFgwDbdById(Long id)
    {
        return fgwDbdMapper.deleteFgwDbdById(id);
    }
}
